Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractMediaObject

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractMediaObject

All Implemented Interfaces:
  AbstractMediaObjectInterface, com.trolltech.qt.QtJambiInterface

    public abstract class AbstractMediaObject

extends com.trolltech.qt.QtJambiObject
implements AbstractMediaObjectInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `AbstractMediaObject()` This method is internal to Qt Jambi.
`protected` | `AbstractMediaObject(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractMediaObject(long ptr)` This method is internal to Qt Jambi.
`abstract long` | `currentTime()` This method is internal to Qt Jambi.
`abstract java.lang.String` | `errorString()` This method is internal to Qt Jambi.
`abstract Phonon.ErrorType` | `errorType()` This method is internal to Qt Jambi.
`static AbstractMediaObject` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`abstract boolean` | `hasVideo()` This method is internal to Qt Jambi.
`abstract boolean` | `isSeekable()` This method is internal to Qt Jambi.
`abstract void` | `pause()` This method is internal to Qt Jambi.
`abstract void` | `play()` This method is internal to Qt Jambi.
`abstract int` | `prefinishMark()` This method is internal to Qt Jambi.
`long` | `remainingTime()` This method is internal to Qt Jambi.
`abstract void` | `seek(long milliseconds)` This method is internal to Qt Jambi.
`abstract void` | `setNextSource(MediaSource source)` This method is internal to Qt Jambi.
`abstract void` | `setPrefinishMark(int arg__1)` This method is internal to Qt Jambi.
`abstract void` | `setSource(MediaSource arg__1)` This method is internal to Qt Jambi.
`abstract void` | `setTickInterval(int interval)` This method is internal to Qt Jambi.
`abstract void` | `setTransitionTime(int arg__1)` This method is internal to Qt Jambi.
`abstract MediaSource` | `source()` This method is internal to Qt Jambi.
`abstract Phonon.State` | `state()` This method is internal to Qt Jambi.
`abstract void` | `stop()` This method is internal to Qt Jambi.
`abstract int` | `tickInterval()` This method is internal to Qt Jambi.
`abstract long` | `totalTime()` This method is internal to Qt Jambi.
`abstract int` | `transitionTime()` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractMediaObject

    public AbstractMediaObject()

  This method is internal to Qt Jambi.

### AbstractMediaObject

    protected AbstractMediaObject(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### currentTime

    public abstract long currentTime()

  This method is internal to Qt Jambi.

  Specified by:
    `currentTime` in interface `AbstractMediaObjectInterface`

### errorString

    public abstract java.lang.String errorString()

  This method is internal to Qt Jambi.

  Specified by:
    `errorString` in interface `AbstractMediaObjectInterface`

### errorType

    public abstract Phonon.ErrorType errorType()

  This method is internal to Qt Jambi.

  Specified by:
    `errorType` in interface `AbstractMediaObjectInterface`

### hasVideo

    public abstract boolean hasVideo()

  This method is internal to Qt Jambi.

  Specified by:
    `hasVideo` in interface `AbstractMediaObjectInterface`

### isSeekable

    public abstract boolean isSeekable()

  This method is internal to Qt Jambi.

  Specified by:
    `isSeekable` in interface `AbstractMediaObjectInterface`

### pause

    public abstract void pause()

  This method is internal to Qt Jambi.

  Specified by:
    `pause` in interface `AbstractMediaObjectInterface`

### play

    public abstract void play()

  This method is internal to Qt Jambi.

  Specified by:
    `play` in interface `AbstractMediaObjectInterface`

### prefinishMark

    public abstract int prefinishMark()

  This method is internal to Qt Jambi.

  Specified by:
    `prefinishMark` in interface `AbstractMediaObjectInterface`

### remainingTime

    public long remainingTime()

  This method is internal to Qt Jambi.

  Specified by:
    `remainingTime` in interface `AbstractMediaObjectInterface`

### seek

    public abstract void seek(long milliseconds)

  This method is internal to Qt Jambi.

  Specified by:
    `seek` in interface `AbstractMediaObjectInterface`

### setNextSource

    public abstract void setNextSource(MediaSource source)

  This method is internal to Qt Jambi.

  Specified by:
    `setNextSource` in interface `AbstractMediaObjectInterface`

### setPrefinishMark

    public abstract void setPrefinishMark(int arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `setPrefinishMark` in interface `AbstractMediaObjectInterface`

### setSource

    public abstract void setSource(MediaSource arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `setSource` in interface `AbstractMediaObjectInterface`

### setTickInterval

    public abstract void setTickInterval(int interval)

  This method is internal to Qt Jambi.

  Specified by:
    `setTickInterval` in interface `AbstractMediaObjectInterface`

### setTransitionTime

    public abstract void setTransitionTime(int arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `setTransitionTime` in interface `AbstractMediaObjectInterface`

### source

    public abstract MediaSource source()

  This method is internal to Qt Jambi.

  Specified by:
    `source` in interface `AbstractMediaObjectInterface`

### state

    public abstract Phonon.State state()

  This method is internal to Qt Jambi.

  Specified by:
    `state` in interface `AbstractMediaObjectInterface`

### stop

    public abstract void stop()

  This method is internal to Qt Jambi.

  Specified by:
    `stop` in interface `AbstractMediaObjectInterface`

### tickInterval

    public abstract int tickInterval()

  This method is internal to Qt Jambi.

  Specified by:
    `tickInterval` in interface `AbstractMediaObjectInterface`

### totalTime

    public abstract long totalTime()

  This method is internal to Qt Jambi.

  Specified by:
    `totalTime` in interface `AbstractMediaObjectInterface`

### transitionTime

    public abstract int transitionTime()

  This method is internal to Qt Jambi.

  Specified by:
    `transitionTime` in interface `AbstractMediaObjectInterface`

### fromNativePointer

    public static AbstractMediaObject fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractMediaObject

    public long __qt_cast_to_AbstractMediaObject(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractMediaObject` in interface `AbstractMediaObjectInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD